// 同步模块后向处理
// 杭州秒寻科技有限公司
// 周涛
// 2023-11-15

#include "includes.h"

// 模块处理线程
void syncback_process_func(void)
{
    uint8 byTxCplt = 0;
    uint8 byFlag = 0;

    // 查询发送完成标识
    byTxCplt = sync_rxtx_query_tx_cplt_flag();

    // 发送已完成
    if (byTxCplt == 2)
    {
        // 后向处理
        byFlag = sync_rxtx_send_signal_over();

        // 后向处理失败
        if (!byFlag)
        {
            // TODO，若多次都不成功，该怎么处理，还需要考虑
            sync_rxtx_update_tx_alarm(1); // 产生告警
        }
        // 后向处理成功
        else
        {
            // 更新发送标识符
            sync_rxtx_update_tx_cplt_flag(0); // 空闲可发送
        }
    }

    return;
}
